#include <bits/stdc++.h>
using namespace std;
int main()
{
	int aura=0;
	int n,p, k, i=1, c=1;
	int niz[n];
	int b[k];
	cin>>n>>p>>k;
	for(i=1;i<=n;i++){
		cin>>niz[i];
	}
	for(i=1;i<=p;i++){
		aura=aura+c*niz[i];
		if(niz[i]<0){
			c=c+1;
		}
	}
	c=1;
	i=1;
	i= i+1;
	p= p+1;
	cout<<aura<<" ";
	aura=0;
	for(i;i<=p;i++){
		aura=aura+c*niz[i];
		if(niz[i]<0){
			c=c+1;
		}
	}
	cout<<aura<<" ";
	c=1;
	i=2;
	i= i+1;
	p= p+1;
	aura=0;
	for(i;i<=p;i++){
		aura=aura+c*niz[i];
		if(niz[i]<0){
			c=c+1;
		}
	}
	cout<<aura<<" ";
	

    return 0;
}